/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\shimering effusion\mobiles\CrystalLatticeSeeker.cs
Lines of code: 113
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles 
{ 
	[CorpseName( "a crystal lattice seeker corpse" )] 
	public class CrystalLatticeSeeker : BaseCreature 
	{ 
		[Constructable] 
		public CrystalLatticeSeeker() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
		{ 
			Name = "a crystal lattice seeker";
			Body = 123;
			Hue = Utility.RandomList(1150, 1151, 1153, 1154, 587);

			SetStr( 590, 736 );
			SetDex( 200, 242 );
			SetInt( 352, 446 );

			SetHits( 354, 446 );
			SetStam( 200, 242 );
			SetMana( 352, 446 );

			SetDamage( 13, 19 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 80, 90 );
			SetResistance( ResistanceType.Fire, 43, 50 );
			SetResistance( ResistanceType.Cold, 40, 50 );
			SetResistance( ResistanceType.Poison, 41, 50 );
			SetResistance( ResistanceType.Energy, 40, 49 );

			SetSkill( SkillName.Anatomy, 51.4, 74.0 );
			SetSkill( SkillName.EvalInt, 90.2, 98.2 );
			SetSkill( SkillName.Magery, 99.1, 100.0 );
			SetSkill( SkillName.Meditation, 90.3, 100.0 );
			SetSkill( SkillName.MagicResist, 90.7, 100.0 );
			SetSkill( SkillName.Tactics, 91.8, 98.9 );
			SetSkill( SkillName.Wrestling, 97.6, 100.0 );

			Fame = 7000;
			Karma = -7000;

			VirtualArmor = 120;
		}

		public override int TreasureMapLevel{ get{ return Core.AOS ? 5 : 0; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool IsMLCreature { get { return true;} }

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 3 );
			AddLoot( LootPack.Gems );
			PackItem(new Gold(1000));
		}
		
		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public override int Feathers{ get{ return 100; } }

		public override int GetAngerSound()
		{
			return 0x2F8;
		}

		public override int GetIdleSound()
		{
			return 0x2F8;
		}

		public override int GetAttackSound()
		{
			return Utility.Random( 0x2F5, 2 );
		}

		public override int GetHurtSound()
		{
			return 0x2F9;
		}

		public override int GetDeathSound()
		{
			return 0x2F7;
		}

		public override void OnGaveMeleeAttack( Mobile defender )
		{
			base.OnGaveMeleeAttack( defender );

			defender.Damage( Utility.Random( 10, 20 ), this );
			defender.Stam -= Utility.Random( 10, 20 );
		}

		public override void OnGotMeleeAttack( Mobile attacker )
		{
			base.OnGotMeleeAttack( attacker );

			attacker.Damage( Utility.Random( 10, 20 ), this );
			attacker.Stam -= Utility.Random( 10, 20 );
		}

		public CrystalLatticeSeeker( Serial serial ) : base( serial ) 
		{ 
		} 
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 10 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
					default:
					case 1: item = new piecesofcrystals(); break;
				}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 
			writer.Write( (int) 0 ); 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 
			int version = reader.ReadInt(); 
		} 
	}
}